Bug 239165 - print/freetype2: update to 2.10.1
Summary: print/freetype2: update to 2.10.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-12 16:10 UTC by Steve Wills
Modified: 2019-07-28 14:44 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (gnome)
antoine: exp-run+


Attachments
patch to update freetype (26.89 KB, patch)
2019-07-12 16:10 UTC, Steve Wills
no flags Details | Diff
Proposed patch (since 503401 revision) (35.48 KB, patch)
2019-07-12 23:59 UTC, lightside
no flags Details | Diff
Proposed patch (since 503401 revision) (35.80 KB, patch)
2019-07-13 02:01 UTC, lightside
no flags Details | Diff
Proposed patch (since 503401 revision) (35.81 KB, patch)
2019-07-13 21:13 UTC, lightside
no flags Details | Diff
Proposed patch (since 503401 revision) (35.81 KB, patch)
2019-07-14 23:32 UTC, lightside
lightside: maintainer-approval? (gnome)
Details | Diff
Proposed patch (since 506925 revision) (2.06 KB, patch)
2019-07-28 14:44 UTC, lightside
lightside: maintainer-approval? (gnome)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2019-07-12 16:10:55 UTC
Created attachment 205721 [details]
patch to update freetype

Note that the LONG_PCF_NAMES option has been enabled by default here. I see no downside to it and it improves font rendering greatly.
Comment 1 lightside 2019-07-12 23:59:30 UTC
Created attachment 205741 [details]
Proposed patch (since 503401 revision)

Hello.

I think, in case of LONG_PCF_NAMES option, possible to add some information about pcf:no-long-family-names property to files/pkg-message.in file, based on 2.8 changelog:
https://sourceforge.net/projects/freetype/files/freetype2/2.8/
For example:
-8<--
If LONG_PCF_NAMES port's option was enabled, it can be disabled at run time with
using pcf:no-long-family-names property. Example:

FREETYPE_PROPERTIES=pcf:no-long-family-names=1
-->8-

Also possible to include patches for closed bug reports after 2.10.1 release (in files/patch-2.10.1.diff):
bug #56580: Type 1: Problem with (badly formed) SEAC glyph
https://savannah.nongnu.org/bugs/index.php?56580
bug #56601: Odd behavior with variable hinted font.
https://savannah.nongnu.org/bugs/index.php?56601
bug #56587: Direct-leak (OSS-Fuzz 12809)
https://savannah.nongnu.org/bugs/index.php?56587

Attached patch with proposed changes.
Comment 2 lightside 2019-07-13 02:01:34 UTC
Created attachment 205743 [details]
Proposed patch (since 503401 revision)

Clarified information about pcf:no-long-family-names property, based on 2.7.1 changelog:
https://sourceforge.net/projects/freetype/files/freetype2/2.7.1/
-8<--
If LONG_PCF_NAMES port's option was enabled, the PCF family names may include
the foundry and information whether they contain wide characters. For example,
"Sony Fixed" or "Misc Fixed Wide", instead of "Fixed". This can be disabled at
run time with using pcf:no-long-family-names property, if needed. Example:

FREETYPE_PROPERTIES=pcf:no-long-family-names=1

To regenerate fontconfig cache with using such environment variable:
# env FREETYPE_PROPERTIES=pcf:no-long-family-names=1 fc-cache -f -s -v
-->8--

I just proposed some variant of description. Feel free to change it, if needed.
Comment 3 lightside 2019-07-13 21:13:50 UTC
Created attachment 205756 [details]
Proposed patch (since 503401 revision)

Clarified description in files/pkg-message.in.
Comment 4 lightside 2019-07-14 23:32:35 UTC
Created attachment 205783 [details]
Proposed patch (since 503401 revision)

Simplified command line arguments for fc-cache command in files/pkg-message.in file.
Comment 5 Steve Wills freebsd_committer 2019-07-15 13:42:45 UTC
(In reply to lightside from comment #4)
This looks fine, thanks. Marking my patch as obsolete.
Comment 6 Antoine Brodin freebsd_committer 2019-07-18 05:26:47 UTC
Exp-run looks fine
Comment 7 commit-hook freebsd_committer 2019-07-19 13:30:49 UTC
A commit references this bug:

Author: swills
Date: Fri Jul 19 13:29:59 UTC 2019
New revision: 506925
URL: https://svnweb.freebsd.org/changeset/ports/506925

Log:
  print/freetype2: update to 2.10.1

  PR:		239165
  Submitted by:	lightside@gmx.com
  Exp-run by:	antoine

Changes:
  head/print/freetype2/Makefile
  head/print/freetype2/distinfo
  head/print/freetype2/files/patch-2.10.0.diff
  head/print/freetype2/files/patch-2.10.1.diff
  head/print/freetype2/files/patch-builds_unix_detect.mk
  head/print/freetype2/files/pkg-message.in
  head/print/freetype2/pkg-plist
Comment 8 lightside 2019-07-28 14:44:04 UTC
Created attachment 206120 [details]
Proposed patch (since 506925 revision)

There is a possibility to update files/patch-2.10.1.diff by adding available fixes from upstream:
* src/cid/cidload.c (cid_hex_to_binary): Fix typo (#56653).
http://git.savannah.gnu.org/cgit/freetype/freetype2.git/commit/?id=d5522ac0603a15bd87f795d36dc218681befe022
* src/base/ftbbox.c (cubic_peak): Sanitize left shift (#56586).
http://git.savannah.gnu.org/cgit/freetype/freetype2.git/commit/?id=12af46b649fdb946bacf150428e5cdfc3470a7ca